POST /api/v1/rules/entry/config
curl --request POST \
--url https://api.scoot.app/api/v1/rules/entry/config \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"configurationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"groupSpawnSize": 123,
"groupFormerCount": 123,
"startingPointX": 123,
"startingPointY": 123,
"rules": [
{
"property": "<string>",
"operator": "<string>",
"value": "<string>"
}
],
"associatedSocialIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.scoot.app/api/v1/rules/entry/config"
payload = {
"configurationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"groupSpawnSize": 123,
"groupFormerCount": 123,
"startingPointX": 123,
"startingPointY": 123,
"rules": [
{
"property": "<string>",
"operator": "<string>",
"value": "<string>"
}
],
"associatedSocialIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
configurationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
groupSpawnSize: 123,
groupFormerCount: 123,
startingPointX: 123,
startingPointY: 123,
rules: [{property: '<string>', operator: '<string>', value: '<string>'}],
associatedSocialIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.scoot.app/api/v1/rules/entry/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Rules
Entry Config
POST
/
api
/
v1
/
rules
/
entry
/
config
POST /api/v1/rules/entry/config
Creates or updates entry rules configuration for Scootaverse sessions.
Authorizations
Query Parameters
Body
application/json
Available options:
DEFAULT, ACCOUNT, CUSTOM_RULES, STARTING_POINT Available options:
SPIRAL, GRID Show child attributes
Show child attributes
Response
200
OK
⌘I

